import { ClassNames, DynamicSheet, SheetGenerator, XDynamicSheet } from '../types';
import Registry, { Options as RegistryOptions } from './registry';
declare class Cache<P> extends Registry {
    protected classNames: ClassNames;
    protected dynamicRegistry: Registry;
    protected dynamicSheets?: SheetGenerator<P>[];
    protected dynamicStyles: XDynamicSheet<P>;
    constructor(options?: RegistryOptions);
    clear(): Registry;
    register(sheet?: DynamicSheet<P> | SheetGenerator<P>): Cache<P>;
    render(props: P): ClassNames;
}
export default Cache;
