import { StylesTarget } from '../types';
import Registry, { Options as RegistryOptions } from './registry';
export interface Options extends RegistryOptions {
    autoGenerateTag?: boolean;
    tag?: StylesTarget;
}
export declare const getRequestAnimationFrame: () => any;
declare class Renderer extends Registry {
    static requestAnimationFrame: any;
    protected autoGenerateTag: boolean;
    protected lastFreeStyleChangeId: number;
    protected pending: number;
    tag?: StylesTarget;
    constructor({autoGenerateTag, plugins, tag}?: Options);
    forceRenderStyles(): Renderer;
    setStylesTarget(tag: StylesTarget): Renderer;
    protected getTag(): StylesTarget | void;
    protected styleUpdated(): Renderer;
    protected sync(callback: () => void): Renderer;
}
export default Renderer;
