import { types } from 'typestyle';
import { DynamicSheet, Plugin, StaticSheet, StyleGenerator, XDynamicSheet } from '../types';
export declare const shallowCompare: (a: {
    [key: string]: any;
}, b: {
    [key: string]: any;
}) => boolean;
export declare const dynamicExtend: <P>(...objects: (Partial<types.NestedCSSProperties> | StyleGenerator<P>)[]) => Partial<types.NestedCSSProperties> | StyleGenerator<P>;
export declare const processPlugins: <P>(plugins: Plugin[] | undefined, style: {
    [property: string]: any;
}, props?: P | undefined) => {
    [x: string]: any;
};
export declare const splitSheet: <P>(sheet: DynamicSheet<P>) => {
    dynamic: XDynamicSheet<P>;
    static: StaticSheet;
};
export declare const processSheet: <P, R>(processor: (style: Partial<types.NestedCSSProperties>, props: P) => R, sheet: DynamicSheet<P>, props: P, result?: {
    [name: string]: R;
}) => {
    [name: string]: R;
};
