"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var cache_1 = require("./cache");
var hoc = function (_a) {
    var plugins = _a.plugins, renderer = _a.renderer, shouldStylesUpdate = _a.shouldStylesUpdate;
    return function (Component, componentOptions) {
        if (componentOptions === void 0) { componentOptions = {}; }
        var sheet = componentOptions.styles || Component.styles;
        return _a = (function (_super) {
                __extends(class_1, _super);
                function class_1() {
                    var _this = _super !== null && _super.apply(this, arguments) || this;
                    _this.classNames = {};
                    _this.registry = new cache_1.default({ plugins: plugins }).register(sheet);
                    return _this;
                }
                class_1.prototype.componentWillMount = function () {
                    renderer.mount(this.registry);
                    this.updateStyles(this.props);
                };
                class_1.prototype.componentWillReceiveProps = function (nextProps) {
                    if (shouldStylesUpdate(this.props, nextProps))
                        this.updateStyles(nextProps);
                };
                class_1.prototype.componentWillUnmount = function () {
                    renderer.unmount(this.registry);
                };
                class_1.prototype.render = function () {
                    return React.createElement(Component, __assign({ classNames: this.classNames }, this.props));
                };
                class_1.prototype.updateStyles = function (props) {
                    this.classNames = this.registry.render(props);
                };
                return class_1;
            }(React.Component)),
            _a.defaultProps = Component.defaultProps,
            _a.propTypes = Component.propTypes,
            _a;
        var _a;
    };
};
exports.default = hoc;
//# sourceMappingURL=hoc.js.map